## r-cran-dqrng 0.2.1%2Bdfsg

=== debian/changelog ===
r-cran-dqrng (0.2.1+dfsg-4) unstable; urgency=medium

  * Test-Depends: build-essential

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2020 11:41:26 +0100

r-cran-dqrng (0.2.1+dfsg-3) unstable; urgency=medium

  * Explicit Recommends: libpcg-cpp-dev
  * Versioned Build-Depends: dh-r (>= 20200104) to enable adding r-cran-sitmo
    to Depends in binary package
    Closes: #946987

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2020 23:28:20 +0100

r-cran-dqrng (0.2.1+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 28 Dec 2019 15:56:19 +0100

r-cran-dqrng (0.2.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #939849)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 16:04:14 +0200

## r-cran-dqrng 0.2.1+dfsg

=== DESCRIPTION ===
Package: dqrng
Type: Package
Title: Fast Pseudo Random Number Generators
Version: 0.2.1
Authors@R: c(
    person("Ralf", "Stubner", email = "ralf.stubner@gmail.com", role = c("aut", "cre")),
    person("daqana GmbH", role = "cph"),
    person("David Blackman", role = "ctb"),
    person("Melissa O'Neill", email = "oneill@pcg-random.org", role = "ctb"),
    person("Sebastiano Vigna", email = "vigna@acm.org", role = "ctb"),
    person("Aaron", "Lun", role="ctb")
    )
Description: Several fast random number generators are provided as C++
  header only libraries: The PCG family by O'Neill (2014
  <https://www.cs.hmc.edu/tr/hmc-cs-2014-0905.pdf>) as well as
  Xoroshiro128+ and Xoshiro256+ by Blackman and Vigna (2018
  <arXiv:1805.01407>). In addition fast functions for generating random
  numbers according to a uniform, normal and exponential distribution
  are included. The latter two use the Ziggurat algorithm originally
  proposed by Marsaglia and Tsang (2000, <doi:10.18637/jss.v005.i08>).
  These functions are exported to R and as a C++ interface and are
  enabled for use with the default 64 bit generator from the PCG family,
  Xoroshiro128+ and Xoshiro256+ as well as the 64 bit version of the 20 rounds
  Threefry engine (Salmon et al., 2011 <doi:10.1145/2063384.2063405>) as
  provided by the package 'sitmo'.
License: AGPL-3 | file LICENSE
Depends: R (>= 3.1.0)
Imports: Rcpp (>= 0.12.16)
LinkingTo: Rcpp, BH (>= 1.64.0-1), sitmo (>= 2.0.0)
RoxygenNote: 6.1.1
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
URL: https://www.daqana.org/dqrng, https://github.com/daqana/dqrng
BugReports: https://github.com/daqana/dqrng/issues
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2019-05-17 14:56:00 UTC; ralf
Author: Ralf Stubner [aut, cre],
  daqana GmbH [cph],
  David Blackman [ctb],
  Melissa O'Neill [ctb],
  Sebastiano Vigna [ctb],
  Aaron Lun [ctb]
Maintainer: Ralf Stubner <ralf.stubner@gmail.com>
Repository: CRAN
Date/Publication: 2019-05-17 15:40:03 UTC

=== debian/changelog ===
r-cran-dqrng (0.2.1+dfsg-4build2) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:20:01 +0000

r-cran-dqrng (0.2.1+dfsg-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:17 +0100

## r-cran-dqrng 0.3.0%2Bdfsg

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, r-cran-testthat
Restrictions: allow-stderr

## r-cran-dqrng 0.3.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: dqrng
 Type: Package
 Title: Fast Pseudo Random Number Generators
-Version: 0.2.1
+Version: 0.3.0
 Authors@R: c(
     person("Ralf", "Stubner", email = "ralf.stubner@gmail.com", role = c("aut", "cre")),
     person("daqana GmbH", role = "cph"),
@@ -27,14 +27,14 @@
 Depends: R (>= 3.1.0)
 Imports: Rcpp (>= 0.12.16)
 LinkingTo: Rcpp, BH (>= 1.64.0-1), sitmo (>= 2.0.0)
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Suggests: testthat, knitr, rmarkdown
 VignetteBuilder: knitr
-URL: https://www.daqana.org/dqrng, https://github.com/daqana/dqrng
+URL: https://daqana.github.io/dqrng/, https://github.com/daqana/dqrng
 BugReports: https://github.com/daqana/dqrng/issues
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-05-17 14:56:00 UTC; ralf
+Packaged: 2021-05-01 09:51:11 UTC; ralf
 Author: Ralf Stubner [aut, cre],
   daqana GmbH [cph],
   David Blackman [ctb],
@@ -43,4 +43,4 @@
   Aaron Lun [ctb]
 Maintainer: Ralf Stubner <ralf.stubner@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-05-17 15:40:03 UTC
+Date/Publication: 2021-05-01 10:30:02 UTC

=== debian/changelog ===
r-cran-dqrng (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Sep 2021 10:40:19 +0200

=== debian/control ===
Source: r-cran-dqrng
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r (>= 20200104),
               r-base-dev,
               r-cran-rcpp (>= 0.12.16),
               r-cran-bh,
               r-cran-sitmo,
               libpcg-cpp-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dqrng
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dqrng.git
Homepage: https://cran.r-project.org/package=dqrng
Rules-Requires-Root: no

Package: r-cran-dqrng
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends},
            libpcg-cpp-dev
Suggests: ${R:Suggests}
Description: GNU R fast pseudo random number generators
 Several fast random number generators are provided as C++
 header only libraries: The PCG family by O'Neill (2014
 <https://www.cs.hmc.edu/tr/hmc-cs-2014-0905.pdf>) as well as
 Xoroshiro128+ and Xoshiro256+ by Blackman and Vigna (2018
 <arXiv:1805.01407>). In addition fast functions for generating random
 numbers according to a uniform, normal and exponential distribution
 are included. The latter two use the Ziggurat algorithm originally
 proposed by Marsaglia and Tsang (2000, <doi:10.18637/jss.v005.i08>).
 These functions are exported to R and as a C++ interface and are
 enabled for use with the default 64 bit generator from the PCG family,
 Xoroshiro128+ and Xoshiro256+ as well as the 64 bit version of the 20 rounds
 Threefry engine (Salmon et al., 2011 <doi:10.1145/2063384.2063405>) as
 provided by the package 'sitmo'.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/dqrng_([-\d.]*)\.tar\.gz

## r-cran-dqrng 0.3.1+dfsg

=== debian/changelog ===
r-cran-dqrng (0.3.1+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides (See lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2023 10:14:03 +0200

## r-cran-dqrng 0.3.2%2Bdfsg

=== debian/changelog ===
r-cran-dqrng (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:48:25 +0100

## r-cran-dqrng 0.3.2+dfsg

=== DESCRIPTION ===
Package: dqrng
Type: Package
Title: Fast Pseudo Random Number Generators
Version: 0.3.2
Authors@R: c(
    person("Ralf", "Stubner", email = "ralf.stubner@gmail.com", role = c("aut", "cre")),
    person("daqana GmbH", role = "cph"),
    person("David Blackman", role = "ctb"),
    person("Melissa O'Neill", email = "oneill@pcg-random.org", role = "ctb"),
    person("Sebastiano Vigna", email = "vigna@acm.org", role = "ctb"),
    person("Aaron", "Lun", role="ctb"), 
    person("Kyle", "Butts", role = "ctb", email = "kyle.butts@colorado.edu")
  )
Description: Several fast random number generators are provided as C++
  header only libraries: The PCG family by O'Neill (2014
  <https://www.cs.hmc.edu/tr/hmc-cs-2014-0905.pdf>) as well as
  Xoroshiro128+ and Xoshiro256+ by Blackman and Vigna (2018
  <arXiv:1805.01407>). In addition fast functions for generating random
  numbers according to a uniform, normal and exponential distribution
  are included. The latter two use the Ziggurat algorithm originally
  proposed by Marsaglia and Tsang (2000, <doi:10.18637/jss.v005.i08>).
  The fast sampling methods support unweighted sampling both with and without
  replacement. These functions are exported to R and as a C++ interface and are
  enabled for use with the default 64 bit generator from the PCG family,
  Xoroshiro128+ and Xoshiro256+ as well as the 64 bit version of the 20 rounds
  Threefry engine (Salmon et al., 2011, <doi:10.1145/2063384.2063405>) as
  provided by the package 'sitmo'.
License: AGPL-3 | file LICENSE
Depends: R (>= 3.5.0)
Imports: Rcpp (>= 0.12.16)
LinkingTo: Rcpp, BH (>= 1.64.0-1), sitmo (>= 2.0.0)
RoxygenNote: 7.2.3
Suggests: testthat, knitr, rmarkdown, mvtnorm (>= 1.2-3), bench, sitmo
VignetteBuilder: knitr
URL: https://daqana.github.io/dqrng/, https://github.com/daqana/dqrng
BugReports: https://github.com/daqana/dqrng/issues
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2023-11-29 20:49:03 UTC; ralf
Author: Ralf Stubner [aut, cre],
  daqana GmbH [cph],
  David Blackman [ctb],
  Melissa O'Neill [ctb],
  Sebastiano Vigna [ctb],
  Aaron Lun [ctb],
  Kyle Butts [ctb]
Maintainer: Ralf Stubner <ralf.stubner@gmail.com>
Repository: CRAN
Date/Publication: 2023-11-29 21:20:02 UTC

=== debian/changelog ===
r-cran-dqrng (0.3.2+dfsg-2) unstable; urgency=medium

  * dh-update-R to rebulid debian/control.
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Reorder Files paragraphs in debian/copyright by directory depth.

 -- Charles Plessy <plessy@debian.org>  Fri, 27 Feb 2026 18:06:35 +0900

=== debian/control ===
Source: r-cran-dqrng
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-rcpp,
 r-cran-bh,
 r-cran-sitmo,
 libpcg-cpp-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dqrng
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dqrng.git
Homepage: https://cran.r-project.org/package=dqrng
Rules-Requires-Root: no

Package: r-cran-dqrng
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Fast Pseudo Random Number Generators
 Several fast random number generators are provided
 as C++ header only libraries: The PCG family by O'Neill
 (2014 <https://www.cs.hmc.edu/tr/hmc-cs-2014-0905.pdf>) as well as
 Xoroshiro128+ and Xoshiro256+ by Blackman and Vigna (2018 <arXiv:1805.01407>).
 In addition fast functions for generating random numbers according
 to a uniform, normal and exponential distribution are included.
 The latter two use the Ziggurat algorithm originally proposed by Marsaglia
 and Tsang (2000, <doi:10.18637/jss.v005.i08>). The fast sampling methods
 support unweighted sampling both with and without replacement. These functions
 are exported to R and as a C++ interface and are enabled for use with the
 default 64 bit generator from the PCG family, Xoroshiro128+ and Xoshiro256+
 as well as the 64 bit version of the 20 rounds Threefry engine (Salmon et al.,
 2011, <doi:10.1145/2063384.2063405>) as provided by the package 'sitmo'.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-testthat,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-mvtnorm (>= 1.2-3),
 r-cran-bench,
 r-cran-sitmo,
